<?php

######################################################################
#                         Error Docs Script
#
# Written by: MGCJerry
# Email: mgcjerry@2thextreme.org
# Website: http://www.2thextreme.org
#
# This is a simple script to display "error docs" pages for any bad
# request to the server. HTTP error codes can be added to this
# script easily. In order to use this, you must have similar lines
# in your Apache .htaccess file placed in your document root for
# this script to work. An .htaccess file is included and you may use
# it or copy the contents from it.
#
# ErrorDocument 400 /error.php?e=400
# ErrorDocument 401 /error.php?e=401
# ErrorDocument 403 /error.php?e=403
# ErrorDocument 404 /error.php?e=404
#
######################################################################


######################################################################
# phpnuke cookie
#
# This section reads the user's cookie for your phpnuke site and
# displays their name in the error pages. If it is an unknown user the
# script will display "Guest" as their name. You can change it if you
# want.
######################################################################
include("mainfile.php");
cookiedecode($user);
$username = $cookie[1];
if ($username == "") {
        $username = "Guest";
}

echo "<base href=\"http://$SERVER_NAME\">";


######################################################################
# Page titles and error messages
#
# Note: If you add more "ErrorDocument" statements in your .htaccess
# file you may want to add an error message to these possible results
# otherwise, people will see the "Unknown Error" page. You also may
# want to change what the script displays for each error.
######################################################################
if ($e == "400") {
        $errortitle = "Bad Request";
        $errormsg = "Hey $username! You sent this server a bad request.
Please try a valid request next time! Please make sure you are trying
to access a valid URL.";
} elseif ($e == "401") {
        $errortitle = "Unauthorized!";
        $errormsg = "$username! You are not authorized to access this
area, or you provided the wrong credentials. Please verify your Username
and Password, and try again.";
} elseif ($e == "403") {
        $errortitle = "Forbidden!";
        $errormsg = "Sorry, $username. You are not permitted to access
this portion of the site.<br><br>Please ensure you are permitted to
access this area.";
} elseif ($e == "404") {
        $errortitle = "File Not found!";
        $errormsg = "Hello $username, the file you requested was not
found on this server.<br><br>Sorry... I looked but I couldn't find
it. Seriously... I looked twice. After all, its my job to show you
what you requested, but point being, I couldn't find
<a href=\"http://$SERVER_NAME$REQUEST_URI\"><b>http://$SERVER_NAME$REQUEST_URI</b></a>
<b></b> anywhere on this server.<br><br>If you're looking for a
specific file, it has prolly been moved, deleted, or never existed
in the first place.<br><br>If you followed a link from another site, well
it isn't our problem. Contact the webmaster of the site that sent you
here and yell at their webmaster for being incompetent for not keeping
his/her links accurate ;) . However, If you followed a link from
$SERVER_NAME, and ended up on this page. You have my apologies for
the webmaster of $SERVER_NAME for being too damn lazy to update his/her links.
<br><br>Now be gone $username, and I wish you luck on your search for
<a href=\"http://$SERVER_NAME$REQUEST_URI\"><b>http://$SERVER_NAME$REQUEST_URI</b></a>
<br><br>If you are still receiving this error please contact the admin of $SERVER_NAME
at <a href=\"mailto:$SERVER_ADMIN\">$SERVER_ADMIN\</a>";
} else {
        $errortitle = "An error has Occurred";
        $errormsg = "Hello $username, an unknown error has occurred.<br><br>
The server doesnt know how to handle the request:
<a href=\"http://$SERVER_NAME$REQUEST_URI\"><b>http://$SERVER_NAME$REQUEST_URI</b></a>, please refine
what you are looking for, and make sure you are using valid links.<br><br>If you are still receiving
this error please contact the admin of $SERVER_NAME at <a href=\"mailto:$SERVER_ADMIN\">$SERVER_ADMIN\</a>";
}


######################################################################
# Generate the content of the page based on the result from above                                                                   #
# Edit this stuff with caution or you might break the script!
######################################################################
$pagetitle = " :: ".$errortitle."";

include("header.php");

OpenTable();
echo "<center><font class=\"title\">$errortitle</font></center>";
CloseTable();
echo "<br>";

OpenTable();
echo "$errormsg";
CloseTable();

echo "<br>";


######################################################################
# Credits, and page footer. Please leave the credits displayed :)
######################################################################
OpenTable();
echo "<td align=\"right\"><right><font class=\"tiny\">Error Docs Addon by:
<a href=\"http://www.2thextreme.org\">MGCJerry</a></font></right></td>";
CloseTable();

include("footer.php");

?>
